/*
   Copyright (C) 2001  Ulric Eriksson <ulric@siag.nu>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the Licence, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

/* 
 * SpinnerP.h - Private definitions for Spinner widget
 */

#ifndef _XawSpinnerP_h
#define _XawSpinnerP_h

/***********************************************************************
 *
 * Spinner Widget Private Data
 *
 ***********************************************************************/

#include "Spinner.h"
#include <X11/Xmu/Converters.h>

/* New fields for the Spinner widget class record */
typedef struct {int empty;} SpinnerClassPart;

/* Full class record declaration */
typedef struct _SpinnerClassRec {
    CoreClassPart	core_class;
    CompositeClassPart  composite_class;
    FrameClassPart	frame_class;
    SpinnerClassPart	spinner_class;
} SpinnerClassRec;

extern SpinnerClassRec spinnerClassRec;

/* New fields for the Spinner widget record */
typedef struct {
    /* resources */
	int min, max, step, value;
	XtCallbackList callbacks;

    /* private state */
	Widget up, down, grid, text;
} SpinnerPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _SpinnerRec {
    CorePart	    core;
    CompositePart   composite;
    FramePart	    frame;
    SpinnerPart	    spinner;
} SpinnerRec;

#endif /* _XawSpinnerP_h */
